var args = process.argv;
var keyStartWith = '--';
module.exports = {
	getAllKeyValues: function(){
		var keys = {};
		for (var i = 0; i <= args.length - 1; i++) {
			var arg = args[i];
			if(arg.indexOf(keyStartWith)===0){
				var key = arg.replace(keyStartWith,''),
					value = '';
				// means the argument is not the last argument
				if(i < args.length-1){
					value = args[i+1];
					// means the value for the argument is passed
					if(value.indexOf(keyStartWith)===0){
						value = '';
					}
				}
				keys[key]= value;
			}
		}
		return keys;
	},
	getValueByKey: function(Key){
		for (var i = 0; i <= args.length - 1; i++) {
			var arg = args[i];
			if(arg.indexOf(keyStartWith)===0){
				var key = arg.replace(keyStartWith,''),
					value = '';
				// means the argument is not the last argument
				if(i < args.length-1 && key===Key){
					value = args[i+1];
					// means the value for the argument is passed
					if(value.indexOf(keyStartWith)===0){
						value = '';
					}
					else{
						return value;
					}					
				}
			}
		}
		return '';
	}
}